Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.control
Class Phases

    java.lang.Object
      org.codehaus.groovy.control.Phases

    public class Phases

extends Object

Compilation phase identifiers.

Version:
  $Id: Phases.java 10601 2008-01-25 01:11:39Z blackdrag $
Author:
  Chris Poirier

Field Summary
`static int` | `ALL`
`static int` | `CANONICALIZATION`
`static int` | `CLASS_GENERATION`
`static int` | `CONVERSION`
`static String[]` | `descriptions`
`static int` | `FINALIZATION`
`static int` | `INITIALIZATION`
`static int` | `INSTRUCTION_SELECTION`
`static int` | `OUTPUT`
`static int` | `PARSING`
`static int` | `SEMANTIC_ANALYSIS`

Constructor Summary
`Phases()`

Method Summary
`static String` | `getDescription(int phase)` Returns a description of the specified phase.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INITIALIZATION

    public static final int INITIALIZATION

See Also:
  Constant Field Values

### PARSING

    public static final int PARSING

See Also:
  Constant Field Values

### CONVERSION

    public static final int CONVERSION

See Also:
  Constant Field Values

### SEMANTIC_ANALYSIS

    public static final int SEMANTIC_ANALYSIS

See Also:
  Constant Field Values

### CANONICALIZATION

    public static final int CANONICALIZATION

See Also:
  Constant Field Values

### INSTRUCTION_SELECTION

    public static final int INSTRUCTION_SELECTION

See Also:
  Constant Field Values

### CLASS_GENERATION

    public static final int CLASS_GENERATION

See Also:
  Constant Field Values

### OUTPUT

    public static final int OUTPUT

See Also:
  Constant Field Values

### FINALIZATION

    public static final int FINALIZATION

See Also:
  Constant Field Values

### ALL

    public static final int ALL

See Also:
  Constant Field Values

### descriptions

    public static String[] descriptions

Constructor Detail

### Phases

    public Phases()

Method Detail

### getDescription

    public static String getDescription(int phase)

  Returns a description of the specified phase.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2008 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD